List follow-ups
GET
/{currentTeam}/corrective-actions
const url = 'https://api.tradeops.cc/v1/example/corrective-actions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tradeops.cc/v1/example/corrective-actions \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”currentTeam
required
string
The current team slug
Query Parameters
Section titled “Query Parameters”include
Array<string>
fields[corrective_actions]
Array<string>
fields[submissions]
Array<string>
fields[audit_types]
Array<string>
fields[fields]
Array<string>
fields[customers]
Array<string>
fields[customer_locations]
Array<string>
fields[users]
Array<string>
Responses
Section titled “Responses”Array of CorrectiveActionResource
Media typeapplication/vnd.api+json
object
data
required
Array<object>
CorrectiveActionResourceobject
id
required
string
type
required
string
attributes
object
title
string
description
string | null
priority
string
status
string
due_date
string | null format: date-time
resolved_at
string | null format: date-time
resolution_notes
string | null
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
submission
object
data
required
object
id
required
string
type
required
string
customer
object
data
required
object
id
required
string
type
required
string
assignedTo
object
data
required
object
id
required
string
type
required
string
links
required
object
self
required
string
included
Array
Any of:
SubmissionResource
object
id
required
string
type
required
string
attributes
object
data
object
status
string
score
string | null
max_score
string | null
latitude
string | null
longitude
string | null
submitted_at
string | null format: date-time
reviewed_at
string | null format: date-time
review_notes
string | null
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
auditType
object
data
required
object
id
required
string
type
required
string
customer
object
data
required
object
id
required
string
type
required
string
links
required
object
self
required
string
AuditTypeResource
object
id
required
string
type
required
string
attributes
object
name
string
slug
string
description
string | null
icon
string | null
color
string | null
status
string
settings
object
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
fields
object
data
required
Array<object>
object
id
required
string
type
required
string
links
required
object
self
required
string
FieldResource
object
id
required
string
type
required
string
attributes
object
name
string
label
string
type
string
section
string | null
options
object
validation
object
order
integer
required
boolean
score_weight
string
conditional
object | null
relationships
object
auditType
object
data
required
object
id
required
string
type
required
string
CustomerResource
object
id
required
string
type
required
string
attributes
object
name
string
slug
string
number
string | null
type
string | null
channel
string | null
region
string | null
territory
string | null
address
string | null
city
string | null
parish
string | null
latitude
string | null
longitude
string | null
contact_name
string | null
contact_phone
string | null
contact_email
string | null
metadata
object
is_active
boolean
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
locations
object
data
required
Array<object>
object
id
required
string
type
required
string
links
required
object
self
required
string
CustomerLocationResource
object
id
required
string
type
required
string
attributes
object
name
string | null
address
string | null
city
string | null
state_province
string | null
latitude
string | null
longitude
string | null
contact_name
string | null
contact_phone
string | null
contact_email
string | null
is_primary
boolean
is_active
boolean
created_at
string | null format: date-time
updated_at
string | null format: date-time
UserResource
object
id
required
string
type
required
string
attributes
object
name
string
email
string | null
phone
string | null
avatar
string | null
two_factor_enabled
boolean
teams
The organisations the member can work in. Use slug as the team in team routes.
Array<object>
object
slug
required
string
name
required
string
role
required
string
timezone
required
string
logo_url
required
string | null
Example
{ "data": [ { "type": "corrective_actions", "relationships": { "submission": { "data": { "type": "submissions" } }, "customer": { "data": { "type": "customers" } }, "assignedTo": { "data": { "type": "users" } } } } ], "included": [ { "type": "submissions", "relationships": { "auditType": { "data": { "type": "audit_types" } }, "customer": { "data": { "type": "customers" } } } } ]}Unauthenticated
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Authorization error
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Not found
Media typeapplication/json
object
message
required
Error overview.
string
Example generated
{ "message": "example"}Too many requests. Wait for Retry-After seconds before trying again.
Media typeapplication/json
object
message
required
string
Example generated
{ "message": "example"}Headers
Section titled “Headers”Retry-After
integer
Seconds until you can try again.